%define kversion %(uname -r | cut -f1 -d-)
%define krelease %(uname -r | cut -f2 -d-)

Summary: Linux STREAMS
Name: LiS
Version: 2.4
Release: 1
Copyright: LGPL
ExclusiveOS: Linux
Group: System Environment/Kernel
Source: ftp://ftp.gcom.com/pub/linux/src/LiS-%{PACKAGE_VERSION}/LiS-%{PACKAGE_VERSION}.tgz
Patch: LiS-%{PACKAGE_VERSION}-buildroot.patch
Requires: kernel = %{kversion}-%{krelease} modutils
URL: http://www.gcom.com/LiS
BuildRoot: /var/tmp/LiS-root

%changelog

* Thu Aug 12 1999 Peter Soos <sp@osb.hu>
- The initial rpm package

%description
LiS is a software package that comprises an implementation of SVR4 compatible
STREAMS for Linux. It consists of a loadable module for the Linux kernel.

The binary modules compiled for kernel package %{kversion}-%{krelease}.
If you need modules for another kernel package just rebuild
this rpm package from LiS-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.src.rpm.

%package source
Summary: Linux STREAMS sources
Group: Development/System
Requires: kernel-source

%description source
The Linux STREAMS source allow you to build the streams modules if
you build your own kernel and develop your streams based applications.

%prep
%setup
%patch

%build

make << EOF
l
/usr/src/linux-%kversion
%kversion-%krelease
m
n
/lib/modules/%kversion-%krelease/misc
t
n
y
EOF

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/src/linux-%kversion
mkdir -p ${RPM_BUILD_ROOT}/lib/modules/%kversion-%krelease/misc

make "INST_LIB=${RPM_BUILD_ROOT}/usr/lib" \
     "INST_BIN=${RPM_BUILD_ROOT}/usr/bin" \
     "INST_SBIN=${RPM_BUILD_ROOT}/usr/sbin" \
      install
make "MOD_INST_DIR=${RPM_BUILD_ROOT}/lib/modules/%kversion-%krelease/misc" \
      modules_install

make very-clean
mkdir -p ${RPM_BUILD_ROOT}/usr/src/LiS-%{PACKAGE_VERSION}
cp -r * ${RPM_BUILD_ROOT}/usr/src/LiS-%{PACKAGE_VERSION}


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
if [ -f /etc/conf.modules ]; then
  cp /etc/conf.modules /etc/conf.modules.rpmsave
fi
cat << EOF >> /etc/conf.modules
alias char-major-50   streams                     # driver clone-drvr
alias char-major-51   streams                     # driver loop-around
alias char-major-52   streams                     # driver mini-mux
alias char-major-53   streams                     # driver printk
alias char-major-54   streams-ldl                 # driver link-drvr
alias char-major-55   streams-sad                 # driver sad
EOF

mv /etc/conf.modules /etc/conf.modules.work
uniq /etc/conf.modules.work > /etc/conf.modules
rm /etc/conf.modules.work
depmod -a
/usr/sbin/strmakenodes

%postun
if [ -f /etc/conf.modules ]; then
  mv /etc/conf.modules /etc/conf.modules.work
  grep -v alias.*char-major-5.*streams /etc/conf.modules.work > /etc/conf.modules
  rm /etc/conf.modules.work
fi
depmod -a

%post source
ln -sf LiS-%{PACKAGE_VERSION} /usr/src/LiS

%files
%defattr(0644, root, root, 0755)
%doc htdocs/*
%attr(0755, root, root) /usr/bin/*
%attr(0644, root, root) /usr/lib/*
%attr(0755, root, root) /usr/sbin/*
%attr(0644, root, root) /lib/modules/%kversion-%krelease/misc/*

%files source
%attr(-, root, root) /usr/src/LiS-%{PACKAGE_VERSION}
